<?php
/***************************************************************************
*     begin                : Thu Oct 30, 2003
*     copyright            : (C) 2003 Pokemaster
*     email                : aaronboffin@hotmail.com
*
****************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Fantasy Sports']['Add\Edit Games'] = $filename;

	return;
}


//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

init_userprefs($userdata);

//
// Find out what they want to do
//
if ( isset($HTTP_POST_VARS['addgame'])  )
	{
		$mode = "addgame";
	}
else if ( isset($HTTP_POST_VARS['editgame']) )
	{
		$mode = "editgame";
	}
else if ( isset($HTTP_POST_VARS['deletegame']) )
	{
		$mode = "deletegame";
	}
else if ( isset($HTTP_POST_VARS['editgames']) )
	{
		$mode = "editgames";
	}
else
	{
		$mode = "showgames";
	}

if ( $HTTP_POST_VARS['savegame'] )
	{
		$away = $HTTP_POST_VARS['away'];
		$home = $HTTP_POST_VARS['home'];
		$gametime = $HTTP_POST_VARS['gametime'];
		$gamedate = $HTTP_POST_VARS['gamedate'];
		
		$count=0;

		for ( $g=0; $g<5; $g++ )
			{
				$hometeam = $home[$g];
				$awayteam = $away[$g];
				$date = $gamedate[$g];
				$time = $gametime[$g];

				if ( ($awayteam == "noteam") || ($hometeam == "noteam") || ($date == "MM-DD-YYYY") || ($time == "HH:MM") )
					{
						$g++;
					}
				else
					{
						$getdate = explode('-', $date);
						$gettime = explode(':', $time);

						$timestamp = gmmktime(intval($gettime[0]), intval($gettime[1]), 0, intval($getdate[0]), intval($getdate[1]), intval($getdate[2])); 

						$gametimestamp = $timestamp - ($board_config['board_timezone'] * 3600);
	
						$sql = "INSERT INTO " . FSPORTS_GAMES_TABLE . " (gametime, awayteam, hometeam) VALUES ('$gametimestamp', '$awayteam', '$hometeam')";
							if ( !$result = $db->sql_query($sql) ) 
								{ 
									message_die(GENERAL_ERROR, 'Error in entering game into DB', '', __LINE__, __FILE__, $sql); 
								}
						$count++;
					}
			}

		// If all goes as planned let them know
		$message = sprintf($lang['addgamesuccess'], $count) . '<br /><br />' . sprintf($lang['click_return_addgames'], '<a href="' . append_sid("admin_fsgames.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}

//
// If they want to add a game, take them to the add game page
//

if ( $mode == "addgame" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_add_games.tpl') );
		
		$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY teamname";
		if ( !($result = $db->sql_query($sql)) ) 
			{ 
				message_die(GENERAL_ERROR, 'Error in getting teams to add games', '', __LINE__, __FILE__, $sql); 
			}

		// Put teams into dropdown boxes
		$teamnamebox .= '<option value="noteam" selected="selected">SELECT A TEAM';

		while ( $row = $db->sql_fetchrow($result) )
			{
				$teamname = $row['teamname'];
				$teamnamebox .= '<option value="' . $teamname . '">' . $teamname;
			}
		$teamnamebox .= '</select>';

		$template->assign_vars(array(
			'S_GAME_ACTION' => append_sid("admin_fsgames.$phpEx"),
			'L_FS_ADDGAME' => $lang['adminaddgame'],
			'L_FS_GAMES_HEADER' => $lang['admingamesheader'],
			'L_FSPORTS_GAMES_ADD_EXPLAIN' => $lang['gamesaddexplain'],
			'L_GAMETIME' => $lang['addgametime'],
			'L_GAMEDATE' => $lang['addgamedate'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SAVEGAMESBUTTONTEXT' => $lang['savegamesbuttontext'],
			'TEAMBOX' => $teamnamebox)
			);				
	}
elseif ( $mode == "editgame" )
	{
		$template->set_filenames(array( "body" => "admin/fs_edit_games.tpl") );

		$template->assign_vars(array(
			'S_GAME_ACTION' => append_sid("admin_fsgames.$phpEx"),
			'L_FS_ADDGAME' => $lang['adminaddgame'],
			'L_FS_GAMES_HEADER' => $lang['admingamesheader'],
			'L_FSPORTS_GAMES_EDIT_EXPLAIN' => $lang['gameseditexplain'],
			'L_GAMETIME' => $lang['addgametime'],
			'L_GAMEDATE' => $lang['addgamedate'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SAVEGAMESBUTTONTEXT' => $lang['savegamesbuttontext'],
			'TEAMBOX' => $teamnamebox)
			);				

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " ORDER BY gametime";
		if ( !$result = $db->sql_query($sql) ) 
			{ 
				message_die(GENERAL_ERROR, 'Error in getting games to edit', '', __LINE__, __FILE__, $sql); 
			}

		$d=1;

		while ( $row = $db->sql_fetchrow($result) )
			{
				$hometeam[$d] = $row['hometeam'];
				$awayteam[$d] = $row['awayteam'];
				$gametimestamp[$d] = $row['gametime'];
				$gameid[$d] = $row['gameid'];
				
				$d++;
			}

		$numofgames = count($hometeam);				

		$e=1;

		while ( $e<=$numofgames )
			{
				$home = $hometeam[$e];
				$away = $awayteam[$e];
				$gametime = $gametimestamp[$e];
				$gid = $gameid[$e];

				$gamets = $gametime + ($board_config['board_timezone'] * 3600);

				$time = gmdate("h:i", $gamets);
				$date = gmdate("m-d-Y", $gamets);

				$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY teamname";
					if ( !$result = $db->sql_query($sql) ) 
					{ 
						message_die(GENERAL_ERROR, 'Error in getting teams to add games', '', __LINE__, __FILE__, $sql); 
					}

				$hometeamnamebox = "";
				$awayteamnamebox = "";
	
				// Put teams into dropdown boxes with the currently selected team already selected
				while ( $row = $db->sql_fetchrow($result) )
					{
						$box = $row['teamname'];

						if ( $box == $away )
							{
								$awayteamnamebox .= '<option value="' . $box . '" selected="selected">' . $box;
							}
							else
							{
								$awayteamnamebox .= '<option value="' . $box . '">' . $box;
							}

						if ( $box == $home )
							{
								$hometeamnamebox .= '<option value="' . $box . '" selected="selected">' . $box;
							}
							else
							{
								$hometeamnamebox .= '<option value="' . $box . '">' . $box;
							}
					}

				$hometeamnamebox .= '</select>';

				$awayteamnamebox .= '</select>';

				$template->assign_block_vars('fsportseditgames', array(
					'ROW_NUMBER' => $gid, 
					'TEAMNAME' => $teamname,
					'AWAYBOX' => $awayteamnamebox,
					'HOMEBOX' => $hometeamnamebox,
					'GAMETIME' => $time,
					'GAMEDATE' => $date)
					);

				$e++;
			}

	}

elseif ( $mode == "editgames" )
	{
		$rowid = $HTTP_POST_VARS['row'];
		$away = $HTTP_POST_VARS['away'];
		$home = $HTTP_POST_VARS['home'];
		$gametime = $HTTP_POST_VARS['gametime'];
		$gamedate = $HTTP_POST_VARS['gamedate'];

		for ( $g=0; ( $g <= (count($rowid)) ); $g++ )
			{
				$hometeam = $home[$g];
				$awayteam = $away[$g];
				$date = $gamedate[$g];
				$time = $gametime[$g];
				$row = $rowid[$g];

				$getdate = explode('-', $date);
				$gettime = explode(':', $time);

				$timestamp = gmmktime(intval($gettime[0]), intval($gettime[1]), 0, intval($getdate[0]), intval($getdate[1]), intval($getdate[2])); 

				$gametimestamp = $timestamp - ($board_config['board_timezone'] * 3600);

				if ( ($date == "") && ($time == "") )
					{
						$sql = "DELETE FROM " . FSPORTS_GAMES_TABLE . " WHERE gameid='$row'";
							if ( !$db->sql_query($sql) ) 
								{ 
									message_die(GENERAL_ERROR, 'Error in entering game into DB', '', __LINE__, __FILE__, $sql); 
								}
					}
				else
					{
						$sql = "UPDATE " . FSPORTS_GAMES_TABLE . " SET gametime='$gametimestamp', awayteam='$awayteam', hometeam='$hometeam' WHERE gameid='$row'";
							if ( !$db->sql_query($sql) ) 
								{
									message_die(GENERAL_ERROR, 'Error in entering game into DB', '', __LINE__, __FILE__, $sql);
								}
					}
			}

		// If all goes as planned let them know
		$message = $lang['addgamesuccess'] . '<br /><br />' . sprintf($lang['click_return_addgames'], '<a href="' . append_sid("admin_fsgames.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}
elseif ( $mode == "showgames" )
	{
		$template->set_filenames(array( "body" => "admin/fs_games.tpl") );

		$template->assign_vars(array(
			'S_GAME_ACTION' => append_sid("admin_fsgames.$phpEx"),
			'ADDGAMEBUTTONTEXT' => $lang['adminaddgame'],
			'EDITGAMEBUTTONTEXT' => $lang['admineditgame'],
			'L_FS_GAMES_HEADER' => $lang['admingamesheader'],
			'L_SHOW_GAMES_EXPLAIN' => $lang['showgamesexplain'],
			'L_GAMETIME' => $lang['addgametime'],
			'L_GAMEDATE' => $lang['addgamedate'],
			'L_HOMETEAM' => $lang['hometeamname'],
			'L_AWAYTEAM' => $lang['awayteamname'],
			'L_UPCOMING_GAMES' => $lang['upcominggames'],
			'TEAMBOX' => $teamnamebox)
			);

		$now = time();

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime>$now ORDER BY gametime, hometeam DESC"; 
			if ( !($result = $db->sql_query($sql)) ) 
				{ 
					message_die(GENERAL_ERROR, 'Error in getting games to build upcoming games table', '', __LINE__, __FILE__, $sql); 
				}

		$g=1;

		while ( $row = $db->sql_fetchrow($result) ) 
			{ 
				$hometeam = $row['hometeam']; 
				$awayteam = $row['awayteam']; 
				$timestamp = $row['gametime'];
		
				// Convert gametime to viewable format
				$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );
		        
				$row_color = ( !($g % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($g % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

				$template->assign_block_vars('fsportsadmingames', array( 
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'HOMETEAM' => $hometeam, 
					'AWAYTEAM' => $awayteam, 
					'GAMETIME' => $gametime) 
					); 

				$g++;
			}
	}


include('./page_header_admin.'.$phpEx);

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>