<?php
/***************************************************************************
*     begin                : Thu Oct 30, 2003
*     copyright            : (C) 2003 Pokemaster
*     email                : aaronboffin@hotmail.com
*
****************************************************************************/

define('IN_PHPBB', 1);

//
// First we do the setmodules stuff for the admin cp.
//
if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Fantasy Sports']['Add\Edit Teams'] = $filename;

	return;
}

//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

if ( isset($HTTP_POST_VARS['deleteteams']) )
	{
		$marked = array();
		$marked = $HTTP_POST_VARS['marked'];

		if ( empty($marked) )
			{
				message_die(GENERAL_MESSAGE, 'You didn\'t select any teams to delete');
			}

		$d=0;

		while ( $d<count($marked) )
			{
				$mark = $marked[$d];

				$sql = "DELETE FROM " . FSPORTS_TEAMS_TABLE . " WHERE teamid='$mark'";
					if ( !($db->sql_query($sql)) )
				               	{
					               	message_die(GENERAL_ERROR, 'Error in updating existing team', '', __LINE__, __FILE__, $sql);
						}

				$d++;

			}
	}

if ( isset($HTTP_POST_VARS['saveteam']) )
	{
		// Get the info entered
		$tid = array();
		$tid = $HTTP_POST_VARS['teamid'];
		$team = array();
		$team = $HTTP_POST_VARS['teamname'];

		$t=0;

		// If we are updating a team
		if ( $t < (count($tid)) )
			{	
				while ($t <= count($tid)) 
				{
					$teamname = $team[$t];
					$teamid = $tid[$t];
				
					// Update the team
					$sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET teamname='$teamname' WHERE teamid='$teamid'";
						if ( !($db->sql_query($sql)) )
			            	   	{
				            	   	message_die(GENERAL_ERROR, 'Error in updating existing team', '', __LINE__, __FILE__, $sql);
							}
					$t++;
				}
			}
		// If we are adding new teams
		else
			{
				// Loop through the array and enter the teams
				$t=0;
		
				while ( $t<= 5 )
					{     
						$teamname = $team[$t];
						
						//PP - Corrected
						if ( $teamname == "" )
							{
								$t++;
							}
						else
							{
								// Submit the team
								// PP - Corrected
								$sql = "INSERT INTO " . FSPORTS_TEAMS_TABLE . " (teamname) VALUES ('$teamname')";
								if (!$db->sql_query($sql))
									{
							        	       	message_die(GENERAL_ERROR, 'Error in adding teams', '', __LINE__, __FILE__, $sql);
									}

								$t++;
							}
					}
			}

		// If all goes as planned let them know
		$message = $lang['addteamsuccess'] . '<br /><br />' . sprintf($lang['click_return_addteams'], '<a href="' . append_sid("admin_fsteams.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}


//
// Add team
//

elseif ( isset($HTTP_POST_VARS['addteam']) )
	{

		$template->set_filenames(array( "body" => "admin/fs_add_team.tpl") );
		
		$template->assign_vars(array(
			'S_TEAM_ACTION' => append_sid("admin_fsteams.$phpEx"),
			'L_FS_TEAM_HEADER' => $lang['adminteamheader'],
			'L_ADD_TEAM_EXPLAIN' => $lang['addteamexplain'],
			'L_FS_ADDTEAM' => $lang['adminaddteam'],
			'L_TEAMNAME' => $lang['Teamname'])
			);

		//
		// Display already entered teams
		//

		// Get teams from the database
		$sql = "SELECT teamname FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY teamname";
			if (!$db->sql_query($sql))
		        	{
		                       	message_die(GENERAL_ERROR, 'Error in building team list', '', __LINE__, __FILE__, $sql);
				}

		$g=1;

		// Put the teams into a table so user can see which teams already exist
		while ( $row = $db->sql_fetchrow($result) )
			{
				$teamname = $row['teamname'];
		
				$row_color = ( !($g % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($g % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 
		
				$template->assign_block_vars('fsportsteams', array(
					'ROW_NUMBER' => $g, 
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'BREAK' => $break,
					'TEAMNAME' => $teamname)
					);
		
				$g++;
			}

		//
		// END Display already entered teams
		//

	}



//
// END add team
//



//
// Edit Team
//
elseif ( isset($HTTP_POST_VARS['editteam']) )
	{
		$template->set_filenames(array( "body" => "admin/fs_edit_team_list.tpl") );
		
		$template->assign_vars(array(
			'S_TEAM_ACTION' => append_sid("admin_fsteams.$phpEx"),
			'L_FS_TEAM_HEADER' => $lang['adminteamheader'],
			'L_EDIT_TEAMLIST_EXPLAIN' => $lang['editteamlistexplain'],
			'L_FS_EDITTEAM' => $lang['admineditteam'],
			'L_EDIT' => $lang['edit'],
			'L_DELETETEAM' => $lang['deleteteam'],
			'L_DELETETEAMBUTTONTEXT' => $lang['deleteteambuttontext'],
			'L_SAVETEAMBUTTONTEXT' => $lang['saveteambuttontext'],
			'L_TEAMNAME' => $lang['Teamname'])
			);

		$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY teamid";
			if (!($result = $db->sql_query($sql)) )
		        	{
		                       	message_die(GENERAL_ERROR, 'Error in building team list', '', __LINE__, __FILE__, $sql);
				}
		$e=1;
		
		while ( $row = $db->sql_fetchrow($result) )
			{
				$teamid = $row['teamid'];
				$teamname = $row['teamname'];
				
				$row_color = ( !($e % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($e % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 
		
				$template->assign_block_vars('fsportsteams', array(
					'ROW_NUMBER' => $e, 
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'TEAMNAME' => $teamname,
					'TEAMID' => $teamid)
					);

				$e++;
			}
	}

else
	{
		$template->set_filenames(array( 'body' => 'admin/fs_teams.tpl') );

		$template->assign_vars(array(
			'S_TEAM_ACTION' => append_sid("admin_fsteams.$phpEx"),
			'L_FS_TEAM_HEADER' => $lang['adminteamheader'],
			'L_TEAM_EXPLAIN' => $lang['teamexplain'],
			'L_TEAMNAME' => $lang['Teamname'],
			'L_TEAMS' => $lang['teammanage'],
			'ADDTEAMBUTTONTEXT' => $lang['addteambuttontext'],
			'EDITTEAMBUTTONTEXT' => $lang['editteambuttontext'])
			);

		

		$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY teamname";
			if (!($result = $db->sql_query($sql)) )
		        	{
		                       	message_die(GENERAL_ERROR, 'Error in building team list', '', __LINE__, __FILE__, $sql);
				}

		if ( ($db->sql_numrows($result)>0) )
			{
				$f=1;

				while ( $row = $db->sql_fetchrow($result) )
					{
						$teamname = $row['teamname'];
		
						$row_color = ( !($f % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
						$row_class = ( !($f % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 
					
						$template->assign_block_vars('fsportsteams', array(
							'ROW_NUMBER' => $f, 
							'ROW_COLOR' => '#' . $row_color, 
							'ROW_CLASS' => $row_class,
							'TEAMNAME' => $teamname,
							'TEAMID' => $teamid)
							);
		
						$f++;
					}
			}
		else
			{
				$teamname = "NO TEAMS EXIST";
	
				$template->assign_vars(array(
					'ROW_NUMBER' => $f, 
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'TEAMNAME' => $teamname,
					'U_TEAM_EDIT' => append_sid("admin_fsteams.$phpEx?mode=edit&amp;teamid=" . $teamid), 
					'TEAMID' => $teamid)
					);
			}
	}
		

include('./page_header_admin.'.$phpEx);

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>