<?php
/***************************************************************************
 *                           functions_fsports.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: functions.php,v 1.133.2.31 2003/07/20 13:14:27 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/

//
// Months for the date functions
//

$Months = array('01'=>"Jan",
             '02'=>"Feb",
             '03'=>"Mar",
             '04'=>"Apr",
             '05'=>"May",
             '06'=>"Jun",
             '07'=>"Jul",
             '08'=>"Aug",
             '09'=>"Sep",
             '10'=>"Oct",
             '11'=>"Nov",
             '12'=>"Dec"
        );
//
// End months
//



function calcresults()
        {
                global $db, $user_ID;

                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET wins=0, losses=0, points=0, pointdiff=0";
                        if (!$db->sql_query($sql))
                                {
                                        message_die(GENERAL_ERROR, 'Error in resetting tables', '', __LINE__, __FILE__, $sql);
                                }
                $sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET wins=0, ties=0, losses=0";
                        if (!$db->sql_query($sql))
                                {
                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct pick', '', __LINE__, __FILE__, $sql);
                                }

                $sql = "SELECT p.* FROM " . FSPORTS_PRED_TABLE . " p, " . FSPORTS_GAMES_TABLE . " g WHERE p.gameid = g.gameid AND g.scoreentered = 1 ORDER BY p.gameid, p.userid"; 
                        if (!$result = $db->sql_query($sql)) 
                                { 
                                        message_die(GENERAL_ERROR, 'Error in getting predictions for calculating points', '', __LINE__, __FILE__, $sql); 
                                }
                $x = 1;

                while ( $row = $db->sql_fetchrow($result) )
                        { 
                                $game_ID[$x] = $row['gameid'];
                                $user_ID[$x] = $row['userid'];
                                $homescorepred[$x] = $row['homepred'];
                                $awayscorepred[$x] = $row['awaypred'];
                                
                                $x++; 
                        }
		
                $sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE scoreentered=1 ORDER BY gameid";
                        if (!$result = $db->sql_query($sql))
                                {
                                        message_die(GENERAL_ERROR, 'Error in getting game results for calculating points', '', __LINE__, __FILE__, $sql);
                                }                
                $y = 1;
                
                while ( $row = $db->sql_fetchrow($result) )
                        {
                                $actualgame_ID[$y] = $row['gameid'];
                                $homescoreactual[$y] = $row['homescore'];
                                $awayscoreactual[$y] = $row['awayscore'];
                                $hometeam[$y] = $row['hometeam'];
                                $awayteam[$y] = $row['awayteam'];
				$scoreentered[] = $row['scoreentered'];

                                $y++;
                        } 

		$g=1;
		for ($z=1; $z <= count($scoreentered); $z++ )
			{
				while ( $game_ID[$g] == $actualgame_ID[$z])
					{
						if ( ($homescorepred[$g] == -1) && ($awayscorepred[$g] == -1) )
							{
								$g++;
							}
						else
							{
								setpoints($homescoreactual[$z], $homescorepred[$g], $awayscoreactual[$z], $awayscorepred[$g], $user_ID[$g]);
								$g++;
							}
					}
                                if ($homescoreactual[$z] < $awayscoreactual[$z])
                                        {
                                                $sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET wins=wins+1 WHERE teamname='$awayteam[$z]'";
                                                        if (!$db->sql_query($sql))
                                                                {
                                                                        message_die(GENERAL_ERROR, 'Error in adding win to teams with awayteam win', '', __LINE__, __FILE__, $sql);
                                                                }
                                                $sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET losses=losses+1 WHERE teamname='$hometeam[$z]'";
                                                        if (!$db->sql_query($sql))
                                                                {
                                                                        message_die(GENERAL_ERROR, 'Error in adding loss to teams with awayteam win', '', __LINE__, __FILE__, $sql);
                                                                }
                                        }
                                elseif ($homescoreactual[$z] > $awayscoreactual[$z])
                                        {
                                                $sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET wins=wins+1 WHERE teamname='$hometeam[$z]'";
                                                        if (!$db->sql_query($sql))
                                                                {
                                                                        message_die(GENERAL_ERROR, 'Error in adding win to teams with hometeam win', '', __LINE__, __FILE__, $sql);
                                                                }
                                                $sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET losses=losses+1 WHERE teamname='$awayteam[$z]'";
                                                        if (!$db->sql_query($sql))
                                                                {
                                                                        message_die(GENERAL_ERROR, 'Error in adding loss to teams with hometeam win', '', __LINE__, __FILE__, $sql);
                                                                }
                                        }
				else
					{
						$sql = "UPDATE " . FSPORTS_TEAMS_TABLE . " SET ties=ties+1 WHERE teamname='$hometeam[$z]' OR teamname='$awayteam[$z]'";
                                                        if (!$db->sql_query($sql))
                                                                {
                                                                        message_die(GENERAL_ERROR, 'Error in adding tie to teams', '', __LINE__, __FILE__, $sql);
                                                                }
					}
			}
        }



function setpoints($homescoreactual, $homescorepred, $awayscoreactual, $awayscorepred, $user_ID)
        {
                global $db;

		// Get correctscore and correct result from DB
		$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name='fsports_correct_result'";
			if (!$result= $db->sql_query($sql)) 
                        	{
                                	message_die(GENERAL_ERROR, 'Error in getting values for correct result and correct score', '', __LINE__, __FILE__, $sql);
                                }
		$correctresult = $db->sql_fetchrow($result);
		$correctresult = $correctresult['config_value'];

		$sql = "SELECT config_value FROM " . CONFIG_TABLE . " WHERE config_name='fsports_correct_score'";
			if (!$result= $db->sql_query($sql)) 
                        	{
                                	message_die(GENERAL_ERROR, 'Error in getting values for correct result and correct score', '', __LINE__, __FILE__, $sql);
                                }
		$correctscore = $db->sql_fetchrow($result);
		$correctscore = $correctscore['config_value'];
		
		// Reset pointdiff to zero
		$pointdiff = 0;

		// Find out if they're a winner!!
		if ( ($homescoreactual === $homescorepred) && ($awayscoreactual === $awayscorepred) )
                        {
                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET wins=wins+1 WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct pick', '', __LINE__, __FILE__, $sql);
                                                }
                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET points=points+" . $correctscore . " WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct pick', '', __LINE__, __FILE__, $sql);
                                                }
                        }
		// Find out if the predicition was correct, but the score was not.                        
                elseif ( ( ($homescorepred > $awayscorepred) && ($homescoreactual > $awayscoreactual) ) || ( ($homescorepred < $awayscorepred) && ($homescoreactual < $awayscoreactual) ) || ( ($homescorepred == $awayscorepred) && ($homescoreactual == $awayscoreactual) ) )
                        {

                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET wins=wins+1 WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct winner', '', __LINE__, __FILE__, $sql);
                                                }
                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET points=points+" . $correctresult . " WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct winner', '', __LINE__, __FILE__, $sql);
                                                }
                                $pointdiff = abs( ( intval($homescorepred) + intval($awayscorepred) ) - ( intval($homescoreactual) + intval($awayscoreactual) ) ); 

                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET pointdiff=pointdiff+$pointdiff WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding pointdiff to username', '', __LINE__, __FILE__, $sql);
                                                }
                        }
		// If it's not one of the two above, you have to be a loser
                else
                        {
				
                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET losses=losses+1 WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding stats to username on correct winner', '', __LINE__, __FILE__, $sql);
                                                }
                                $pointdiff = abs( ( intval($homescorepred) + intval($awayscorepred) ) - ( intval($homescoreactual) + intval($awayscoreactual) ) ); 

                                $sql = "UPDATE " . FSPORTS_STATS_TABLE . " SET pointdiff=pointdiff+$pointdiff WHERE userid ='$user_ID'";
                                        if (!$db->sql_query($sql))
                                                {
                                                        message_die(GENERAL_ERROR, 'Error in adding pointdiff to username', '', __LINE__, __FILE__, $sql);
                                                }
                        }
        }

//
// Enters predictions into the DB
//

function submitpred($user_id, $game_id, $homescorepred, $awayscorepred)
        {
                global $db;

		// Get gametime from the DB
		$sql = "SELECT gametime FROM " . FSPORTS_GAMES_TABLE . " WHERE gameid='$game_id'";
			if (!$result= $db->sql_query($sql)) 
                        	{
                                	message_die(GENERAL_ERROR, 'Error in adding pointdiff to username', '', __LINE__, __FILE__, $sql);
                                }

		// Set gametime from query
		$game_time = $db->sql_fetchrow($result);
		$game_time = $game_time['gametime'];

                // Get current time
                $current_time = time();
                
                // Check to see if the game has already started.  If it is, return an error message.
                if ($current_time >= $game_time)
                        {
                                message_die(GENERAL_MESSAGE, 'You can not predict this game because it has already started');
                        }
                else
                        {
				// Check to see if this user has ever predicted this game before
				$sql = "SELECT * FROM " .  FSPORTS_PRED_TABLE . " WHERE userid='$user_id' AND gameid='$game_id'";
				$result = $db->sql_query($sql);
				if ( ($db->sql_numrows($result) > 0) )
			                {
						$sql = "UPDATE " . FSPORTS_PRED_TABLE . " SET homepred='$homescorepred', awaypred='$awayscorepred' WHERE userid='$user_id' AND gameid='$game_id'";
							if (!$db->sql_query($sql))
							{
								message_die(GENERAL_ERROR, 'Error in making prediction', '', __LINE__, __FILE__, $sql);
							}
					}
				else
					{
		        		        $sql = "INSERT INTO " . FSPORTS_PRED_TABLE . " (userid, gameid, homepred, awaypred) VALUES ('$user_id','$game_id', '$homescorepred', '$awayscorepred')";
							if (!$db->sql_query($sql))
					                        {
						                        message_die(GENERAL_ERROR, 'Error in adding default values to DB for this game', '', __LINE__, __FILE__, $sql);
								}
					}

                        }
        }

//
// End Function
//


?>