<?php
/***************************************************************************
*     begin                : Thu Oct 30, 2003
*     copyright            : (C) 2003 Pokemaster
*     email                : aaronboffin@hotmail.com
*
****************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Fantasy Sports']['Add\Edit Scores'] = $filename;

	return;
}


//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);


if ( isset($HTTP_POST_VARS['weekago']) )
	{
		$mode = "weekago";
	}
elseif ( isset($HTTP_POST_VARS['twoweeks']) )
	{
		$mode = "twoweeks";
	}
elseif ( isset($HTTP_POST_VARS['month']) )
	{
		$mode = "monthago";
	}
elseif ( isset($HTTP_POST_VARS['allgames']) )
	{
		$mode = "allgames";
	}
else
	{
		$mode = "showoptions";
	}

if ( isset($HTTP_POST_VARS['submit']) )
	{
		$hscore = array();
		$ascore = array();
		$gid = array();
		$hscore = $HTTP_POST_VARS['homescore'];
		$ascore = $HTTP_POST_VARS['awayscore'];
		$gid = $HTTP_POST_VARS['gameid'];

		$s=0;

		while ( $s <= (count($gid)) )
			{
				$homescore = $hscore[$s];
				$awayscore = $ascore[$s];
				$gameid = $gid[$s];

				if ( ($homescore == -1) && ($awayscore == -1) )
					{
						$sql = "UPDATE " . FSPORTS_GAMES_TABLE . " SET homescore='$homescore', awayscore='$awayscore', scoreentered=0 WHERE gameid='$gameid'";
						if ( !($db->sql_query($sql)) )
							{
								message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
							}
					}
				elseif ( ($homescore > -1) && ($awayscore > -1) )
					{
						$sql = "UPDATE " . FSPORTS_GAMES_TABLE . " SET homescore='$homescore', awayscore='$awayscore', scoreentered=1 WHERE gameid='$gameid'";
						if ( !($db->sql_query($sql)) )
							{
								message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
							}
					}

				$s++;
			}

		// If all goes as planned let them know
		$message = $lang['addscoressuccess'] . '<br /><br />' . sprintf($lang['click_return_addscores'], '<a href="' . append_sid("admin_fsscores.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}



$currenttime = time();
$weekago = ($currenttime - 604800);
$twoweeksago = ($currenttime - 1209600);
$monthago = ($currenttime - 2419200);

if ( $mode == "weekago" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_edit_scores.tpl') );

		$template->assign_vars(array(
			'S_SCORES_ACTION' => append_sid("admin_fsscores.$phpEx"),
			'L_FS_SCORES_HEADER' => $lang['scoresheader'],
			'L_FSPORTS_SCORES_EDIT_EXPLAIN' => $lang['scoreseditexplain'],
			'L_FS_ADDSCORES' => $lang['adminaddscores'],
			'L_GAMETIME' => $lang['admingametime'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SCORE' => $lang['adminscore'],
			'L_SAVESCORESBUTTONTEXT' => $lang['savescoresbuttontext'],
			'TEAMBOX' => $teamnamebox)
			);	

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime<'$currenttime' AND gametime>'$weekago' ORDER BY gametime";
		if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
			}

		$s=1;

		while ( $row = $db->sql_fetchrow($result) )
			{
				$hometeam = $row['hometeam'];
				$awayteam = $row['awayteam'];
				$timestamp = $row['gametime'];
				$hscore = $row['homescore'];
				$ascore = $row['awayscore'];
				$gameid = $row['gameid'];
				$scoreentered = $row['scoreentered'];

				if ($scoreentered == 0)
					{
						$homescore = "";
						$awayscore = "";
					}
				else
					{
						$homescore = $hscore;
						$awayscore = $ascore;
					}

				// Convert gametime to viewable format
				$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );

				$row_color = ( !($s % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($s % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

				$template->assign_block_vars('fsportsscores', array(
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'HOMETEAM' => $hometeam,
					'AWAYTEAM' => $awayteam,
					'GAMETIME' => $gametime,
					'HOMESCORE' => $homescore,
					'AWAYSCORE' => $awayscore,
					'GAMEID' => $gameid)
					);


				$s++;
			}
	}
elseif ( $mode == "twoweeks" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_edit_scores.tpl') );

		$template->assign_vars(array(
			'S_SCORES_ACTION' => append_sid("admin_fsscores.$phpEx"),
			'L_FS_SCORES_HEADER' => $lang['scoresheader'],
			'L_FSPORTS_SCORES_EDIT_EXPLAIN' => $lang['scoreseditexplain'],
			'L_FS_ADDSCORES' => $lang['adminaddscores'],
			'L_GAMETIME' => $lang['admingametime'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SCORE' => $lang['adminscore'],
			'L_SAVESCORESBUTTONTEXT' => $lang['savescoresbuttontext'],
			'TEAMBOX' => $teamnamebox)
			);	

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime<'$currenttime' AND gametime>'$twoweeksago' ORDER BY gametime";
		if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
			}

		$s=1;

		while ( $row = $db->sql_fetchrow($result) )
			{
				$hometeam = $row['hometeam'];
				$awayteam = $row['awayteam'];
				$timestamp = $row['gametime'];
				$hscore = $row['homescore'];
				$ascore = $row['awayscore'];
				$gameid = $row['gameid'];
				$scoreentered = $row['scoreentered'];

				if ($scoreentered = 0)
					{
						$homescore = "";
						$awayscore = "";
					}
				else
					{
						$homescore = $hscore;
						$awayscore = $ascore;
					}

				// Convert gametime to viewable format
				$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );

				$row_color = ( !($s % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($s % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

				$template->assign_block_vars('fsportsscores', array(
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'HOMETEAM' => $hometeam,
					'AWAYTEAM' => $awayteam,
					'GAMETIME' => $gametime,
					'HOMESCORE' => $homescore,
					'AWAYSCORE' => $awayscore,
					'GAMEID' => $gameid)
					);


				$s++;
			}
	}
elseif ( $mode == "monthago" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_edit_scores.tpl') );

		$template->assign_vars(array(
			'S_SCORES_ACTION' => append_sid("admin_fsscores.$phpEx"),
			'L_FS_SCORES_HEADER' => $lang['scoresheader'],
			'L_FSPORTS_SCORES_EDIT_EXPLAIN' => $lang['scoreseditexplain'],
			'L_FS_ADDSCORES' => $lang['adminaddscores'],
			'L_GAMETIME' => $lang['admingametime'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SCORE' => $lang['adminscore'],
			'L_SAVESCORESBUTTONTEXT' => $lang['savescoresbuttontext'],
			'TEAMBOX' => $teamnamebox)
			);	

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime<'$currenttime' AND gametime>'$monthago' ORDER BY gametime";
		if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
			}

		$s=1;

		while ( $row = $db->sql_fetchrow($result) )
			{
				$hometeam = $row['hometeam'];
				$awayteam = $row['awayteam'];
				$timestamp = $row['gametime'];
				$hscore = $row['homescore'];
				$ascore = $row['awayscore'];
				$gameid = $row['gameid'];
				$scoreentered = $row['scoreentered'];

				if ($scoreentered = 0)
					{
						$homescore = "";
						$awayscore = "";
					}
				else
					{
						$homescore = $hscore;
						$awayscore = $ascore;
					}

				// Convert gametime to viewable format
				$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );

				$row_color = ( !($s % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($s % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

				$template->assign_block_vars('fsportsscores', array(
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'HOMETEAM' => $hometeam,
					'AWAYTEAM' => $awayteam,
					'GAMETIME' => $gametime,
					'HOMESCORE' => $homescore,
					'AWAYSCORE' => $awayscore,
					'GAMEID' => $gameid)
					);


				$s++;
			}
	}
elseif ( $mode == "allgames" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_edit_scores.tpl') );

		$template->assign_vars(array(
			'S_SCORES_ACTION' => append_sid("admin_fsscores.$phpEx"),
			'L_FS_ADDSCORES' => $lang['adminaddscores'],
			'L_GAMETIME' => $lang['admingametime'],
			'L_HOMETEAMNAME' => $lang['hometeamname'],
			'L_AWAYTEAMNAME' => $lang['awayteamname'],
			'L_SCORE' => $lang['adminscore'],
			'L_FS_SCORES_HEADER' => $lang['scoresheader'],
			'L_FSPORTS_SCORES_EDIT_EXPLAIN' => $lang['scoreseditexplain'],
			'L_SAVESCORESBUTTONTEXT' => $lang['savescoresbuttontext'])
			);	

		$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime<'$currenttime' ORDER BY gametime";
		if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Error in getting games', '', __LINE__, __FILE__, $sql);
			}

		$s=1;

		while ( $row = $db->sql_fetchrow($result) )
			{
				$hometeam = $row['hometeam'];
				$awayteam = $row['awayteam'];
				$timestamp = $row['gametime'];
				$hscore = $row['homescore'];
				$ascore = $row['awayscore'];
				$gameid = $row['gameid'];
				$scoreentered = $row['scoreentered'];

				if ($scoreentered = 0)
					{
						$homescore = "";
						$awayscore = "";
					}
				else
					{
						$homescore = $hscore;
						$awayscore = $ascore;
					}

				// Convert gametime to viewable format
				$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );

				$row_color = ( !($s % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
				$row_class = ( !($s % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

				$template->assign_block_vars('fsportsscores', array(
					'ROW_COLOR' => '#' . $row_color, 
					'ROW_CLASS' => $row_class,
					'HOMETEAM' => $hometeam,
					'AWAYTEAM' => $awayteam,
					'GAMETIME' => $gametime,
					'HOMESCORE' => $homescore,
					'AWAYSCORE' => $awayscore,
					'GAMEID' => $gameid)
					);

				$s++;
			}
	}
elseif ( $mode == "showoptions" )
	{
		$template->set_filenames(array( 'body' => 'admin/fs_scores.tpl') );

		$template->assign_vars(array(
			'S_SCORES_ACTION' => append_sid("admin_fsscores.$phpEx"),
			'L_FS_SCORES_HEADER' => $lang['scoresheader'],
			'L_PICKTIME' => $lang['picktime'],
			'L_FSPORTS_SCORES_EDIT_EXPLAIN' => $lang['scoreseditexplain'],
			'ONEWEEKBUTTONTEXT' => $lang['oneweekbuttontext'],
			'TWOWEEKSBUTTONTEXT' => $lang['twoweeksbuttontext'],
			'MONTHBUTTONTEXT' => $lang['monthbuttontext'],
			'ALLGAMESBUTTONTEXT' => $lang['allgamesbuttontext'])
			);	
	}


include('./page_header_admin.'.$phpEx);

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>